Loading...
Searching...
No Matches
g2c_degrib2.c File Reference

This is a utility to print a summary of a GRIB2 file. More...

`#include <ctype.h>`
`#include <grib2.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)
| Compare two GRIB2 files.

## Detailed Description

This is a utility to print a summary of a GRIB2 file.

Author
  Ed Hartnett

Date
  12/29/22

Definition in file g2c_degrib2.c.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv )

Compare two GRIB2 files.

Parameters

  argc | Number of arguments.
  argv | Pointer to array of arguments.

Returns
  - 0 if files are identical
  - 1 otherwise

Author
  Ed Hartnett

Date
  12/29/22

Definition at line 24 of file g2c_degrib2.c.

References g2c_close(), g2c_degrib2(), G2C_ENOMEM, G2C_ERROR, G2C_NOWRITE, g2c_open(), g2c_open_index(), g2c_set_log_level(), and G2C_VERSION.